@techreport{tor-2017-04-001,
  author = {Karin Herm},
  title = {Privacy analysis of {Tor}'s in-memory statistics},
  institution = {The Tor Project},
  number = {2017-04-001},
  year = {2017},
  month = {April},
  url = {https://research.torproject.org/techreports/privacy-in-memory-2017-04-28.pdf}
}

@techreport{tor-2015-10-001,
  author = {Nick Mathewson},
  title = {Denial-of-service attacks in {Tor}: Taxonomy and defenses},
  institution = {The Tor Project},
  number = {2015-10-001},
  year = {2015},
  month = {October},
  url = {https://research.torproject.org/techreports/dos-taxonomy-2015-10-29.pdf}
}

@techreport{tor-2015-04-001,
  author = {David Goulet and Aaron Johnson and George Kadianakis and Karsten Loesing},
  title = {Hidden-service statistics reported by relays},
  institution = {The Tor Project},
  number = {2015-04-001},
  year = {2015},
  month = {April},
  url = {https://research.torproject.org/techreports/hidden-service-stats-2015-04-28.pdf}
}

@techreport{tor-2015-01-001,
  author = {George Kadianakis and Karsten Loesing},
  title = {Extrapolating network totals from hidden-service statistics},
  institution = {The Tor Project},
  number = {2015-01-001},
  year = {2015},
  month = {January},
  url = {https://research.torproject.org/techreports/extrapolating-hidserv-stats-2015-01-31.pdf}
}

@techreport{tor-2014-10-001,
  author = {Virgil Griffith},
  title = {{Tor} growth rates and improving {Torperf} throughput},
  institution = {The Tor Project},
  number = {2014-10-001},
  year = {2014},
  month = {October},
  url = {https://research.torproject.org/techreports/tor-growth-2014-10-04.pdf}
}

@techreport{tor-2013-11-001,
  author = {Nicholas Hopper},
  title = {Protecting {Tor} from botnet abuse in the long term},
  institution = {The Tor Project},
  number = {2013-11-001},
  year = {2013},
  month = {November},
  url = {https://research.torproject.org/techreports/botnet-tr-2013-11-20.pdf}
}

@techreport{tor-2013-10-002,
  author = {Karsten Loesing and Sathyanarayanan Gunasekaran and Kevin Butler},
  title = {Requirements and Software Design for a better {Tor} Performance Measurement Tool},
  institution = {The Tor Project},
  number = {2013-10-002},
  year = {2013},
  month = {October},
  url = {https://research.torproject.org/techreports/torperf2-2013-10-30.pdf}
}

@techreport{tor-2013-10-001,
  author = {Karsten Loesing and Steven J. Murdoch and Rob Jansen},
  title = {Evaluation of a libutp-based {Tor} datagram implementation},
  institution = {The Tor Project},
  number = {2013-10-001},
  year = {2013},
  month = {October},
  url = {https://research.torproject.org/techreports/libutp-2013-10-30.pdf}
}

@techreport{tor-2013-06-001,
  author = {Runa A. Sandvik},
  title = {Forensic Analysis of the {Tor Browser Bundle} on {OS X},
    {Linux}, and {Windows}},
  institution = {The Tor Project},
  number = {2013-06-001},
  year = {2013},
  month = {June},
  url = {https://research.torproject.org/techreports/tbb-forensic-analysis-2013-06-28.pdf}
}

@techreport{tor-2013-02-001,
  author = {Philipp Winter},
  title = {Design Requirements for a {Tor} Censorship Analysis Tool},
  institution = {The Tor Project},
  number = {2013-02-001},
  year = {2013},
  month = {February},
  url = {https://research.torproject.org/techreports/censorship-analysis-tool-2013-02-06.pdf}
}

@techreport{tor-2012-10-001,
  author = {Karsten Loesing},
  title = {Counting daily bridge users},
  institution = {The Tor Project},
  number = {2012-10-001},
  year = {2012},
  month = {October},
  url = {https://research.torproject.org/techreports/counting-daily-bridge-users-2012-10-24.pdf}
}

@techreport{tor-2012-08-001,
  author = {Jacob Appelbaum},
  title = {{Tor} and {NAT} devices: increasing bridge \& relay reachability or, enabling the use of {NAT-PMP} and {UPnP} by default},
  institution = {The Tor Project},
  number = {2012-08-001},
  year = {2012},
  month = {August},
  url = {https://research.torproject.org/techreports/tor-nat-plan-2012-08-22.pdf}
}

@techreport{tor-2012-04-001,
  author = {Karsten Loesing},
  title = {What fraction of our bridges are not reporting usage statistics?},
  institution = {The Tor Project},
  number = {2012-04-001},
  year = {2012},
  month = {April},
  url = {https://research.torproject.org/techreports/bridge-report-usage-stats-2012-04-30.pdf}
}

@techreport{tor-2012-03-003,
  author = {Steven J. Murdoch and George Kadianakis},
  title = {Pluggable Transports Roadmap},
  institution = {The Tor Project},
  number = {2012-03-003},
  year = {2012},
  month = {March},
  url = {https://research.torproject.org/techreports/pluggable-roadmap-2012-03-17.pdf}
}

@techreport{tor-2012-03-002,
  author = {Steven J. Murdoch},
  title = {Datagram Testing Plan},
  institution = {The Tor Project},
  number = {2012-03-002},
  year = {2012},
  month = {March},
  url = {https://research.torproject.org/techreports/datagram-testing-plan-2012-03-16.pdf}
}

@techreport{tor-2012-03-004,
  author = {George Kadianakis},
  title = {Packet Size Pluggable Transport and Traffic Morphing},
  institution = {The Tor Project},
  number = {2012-03-004},
  year = {2012},
  month = {March},
  url = {https://research.torproject.org/techreports/morpher-2012-03-13.pdf}
}

@techreport{tor-2012-03-001,
  author = {Karsten Loesing},
  title = {What if the {Tor} network had 50,000 bridges},
  institution = {The Tor Project},
  number = {2012-03-001},
  year = {2012},
  month = {March},
  url = {https://research.torproject.org/techreports/bridge-scaling-2012-03-09.pdf}
}

@techreport{tor-2011-12-001,
  author = {Roger Dingledine},
  title = {Five ways to test bridge reachability},
  institution = {The Tor Project},
  number = {2011-12-001},
  year = {2011},
  month = {December},
  url = {https://research.torproject.org/techreports/five-ways-test-bridge-reachability-2011-12-01.pdf}
}

@techreport{tor-2011-11-002,
  author = {Sebastian Hahn},
  title = {Different Ways to Use a Bridge},
  institution = {The Tor Project},
  number = {2011-11-002},
  year = {2011},
  month = {November},
  url = {https://research.torproject.org/techreports/different-ways-use-bridge-2011-11-29.pdf}
}

@techreport{tor-2011-11-001,
  author = {Steven J. Murdoch},
  title = {Comparison of {Tor} Datagram Designs},
  institution = {The Tor Project},
  number = {2011-11-001},
  year = {2011},
  month = {November},
  url = {https://research.torproject.org/techreports/datagram-comparison-2011-11-07.pdf}
}

@techreport{tor-2011-10-002,
  author = {Roger Dingledine},
  title = {Ten ways to discover {Tor} bridges},
  institution = {The Tor Project},
  number = {2011-10-002},
  year = {2011},
  month = {October},
  url = {https://research.torproject.org/techreports/ten-ways-discover-tor-bridges-2011-10-31.pdf}
}

@techreport{tor-2011-10-001,
  author = {Karsten Loesing},
  title = {An Analysis of {Tor} Bridge Stability---Making {BridgeDB} give out at least one stable bridge per user},
  institution = {The Tor Project},
  number = {2011-10-001},
  year = {2011},
  month = {October},
  url = {https://research.torproject.org/techreports/bridge-stability-2011-10-31.pdf}
}

@techreport{tor-2011-09-002,
  author = {Karsten Loesing},
  title = {Case study: Learning whether a {Tor} bridge is blocked by looking at its aggregate usage statistics, Part one},
  institution = {The Tor Project},
  number = {2011-09-002},
  year = {2011},
  month = {September},
  url = {https://research.torproject.org/techreports/blocking-2011-09-15.pdf}
}

@techreport{tor-2011-09-001,
  author = {George Danezis},
  title = {An anomaly-based censorship-detection system for {Tor}},
  institution = {The Tor Project},
  number = {2011-09-001},
  year = {2011},
  month = {September},
  url = {https://research.torproject.org/techreports/detector-2011-09-09.pdf}
}

@techreport{tor-2011-08-001,
  author = {Roger Dingledine},
  title = {Better guard rotation parameters},
  institution = {The Tor Project},
  number = {2011-08-001},
  year = {2011},
  month = {August},
  url = {https://research.torproject.org/techreports/better-guard-rotation-parameters-2011-08-20.pdf}
}

@techreport{tor-2011-06-001,
  author = {Karsten Loesing},
  title = {An Analysis of {Tor} Relay Stability},
  institution = {The Tor Project},
  number = {2011-06-001},
  year = {2011},
  month = {June},
  url = {https://research.torproject.org/techreports/relay-stability-2011-06-30.pdf}
}

@techreport{tor-2011-05-001,
  author = {Roger Dingledine},
  title = {Strategies for getting more bridges},
  institution = {The Tor Project},
  number = {2011-05-001},
  year = {2011},
  month = {May},
  url = {https://research.torproject.org/techreports/strategies-getting-more-bridge-addresses-2011-05-13.pdf}
}

@techreport{tor-2011-03-001,
  author = {Karsten Loesing},
  title = {Overview of Statistical Data in the {Tor} Network},
  institution = {The Tor Project},
  number = {2011-03-001},
  year = {2011},
  month = {March},
  url = {https://research.torproject.org/techreports/data-2011-03-14.pdf}
}

@techreport{tor-2011-02-001,
  author = {Roger Dingledine},
  title = {Measuring the safety of the {Tor} network},
  institution = {The Tor Project},
  number = {2011-02-001},
  year = {2011},
  month = {February},
  url = {https://research.torproject.org/techreports/measuring-safety-tor-network-2011-02-06.pdf}
}

@techreport{tor-2010-11-001,
  author = {Sebastian Hahn and Karsten Loesing},
  title = {Privacy-preserving Ways to Estimate the Number of {Tor} Users},
  institution = {The Tor Project},
  number = {2010-11-001},
  year = {2010},
  month = {November},
  url = {https://research.torproject.org/techreports/countingusers-2010-11-30.pdf}
}

@techreport{tor-2010-09-001,
  author = {Roger Dingledine},
  title = {Adaptive throttling of {Tor} clients by entry guards},
  institution = {The Tor Project},
  number = {2010-09-001},
  year = {2010},
  month = {September},
  url = {https://research.torproject.org/techreports/adaptive-throttling-tor-clients-entry-guards-2010-09-19.pdf}
}

@techreport{tor-2009-11-001,
  author = {Roger Dingledine and Steven J. Murdoch},
  title = {Performance Improvements on {Tor} or, Why {Tor} is slow and what we're going to do about it},
  institution = {The Tor Project},
  number = {2009-11-001},
  year = {2009},
  month = {November},
  url = {https://research.torproject.org/techreports/performance-2009-11-09.pdf}
}

@techreport{tor-2009-10-001,
  author = {Karsten Loesing},
  title = {Comparison of {GeoIP} Databases for {Tor}},
  institution = {The Tor Project},
  number = {2009-10-001},
  year = {2009},
  month = {October},
  url = {https://research.torproject.org/techreports/geoipdbcomp-2009-10-23.pdf}
}

@techreport{tor-2009-09-001,
  author = {Karsten Loesing},
  title = {Performance of Requests over the {Tor} Network},
  institution = {The Tor Project},
  number = {2009-09-001},
  year = {2009},
  month = {September},
  url = {https://research.torproject.org/techreports/torperf-2009-09-22.pdf}
}

@techreport{tor-2009-09-002,
  author = {Karsten Loesing},
  title = {Reducing the Circuit Window Size in {Tor}},
  institution = {The Tor Project},
  number = {2009-09-002},
  year = {2009},
  month = {September},
  url = {https://research.torproject.org/techreports/circwindow-2009-09-20.pdf}
}

@techreport{tor-2009-08-001,
  author = {Karsten Loesing},
  title = {Analysis of Circuit Queues in {Tor}},
  institution = {The Tor Project},
  number = {2009-08-001},
  year = {2009},
  month = {August},
  url = {https://research.torproject.org/techreports/bufferstats-2009-08-25.pdf}
}

@techreport{tor-2009-08-002,
  author = {Karsten Loesing},
  title = {Measuring the {Tor} Network from Public Directory Information},
  institution = {The Tor Project},
  number = {2009-08-002},
  year = {2009},
  month = {August},
  url = {https://research.torproject.org/techreports/metrics-2009-08-07.pdf}
}

@techreport{tor-2009-08-003,
  author = {Mike Perry},
  title = {{TorFlow}: {Tor} Network Analysis},
  institution = {The Tor Project},
  number = {2009-08-003},
  year = {2009},
  month = {August},
  url = {https://research.torproject.org/techreports/torflow-2009-08-07.pdf}
}

@techreport{tor-2009-06-002,
  author = {Karsten Loesing},
  title = {Measuring the {Tor} Network, Evaluation of Client Requests to the Directories to determine total numbers and countries of users},
  institution = {The Tor Project},
  number = {2009-06-002},
  year = {2009},
  month = {June},
  url = {https://research.torproject.org/techreports/directory-requests-2009-06-25.pdf}
}

@techreport{tor-2009-06-003,
  author = {Karsten Loesing},
  title = {Analysis of Bridge Usage in {Tor}},
  institution = {The Tor Project},
  number = {2009-06-003},
  year = {2009},
  month = {June},
  url = {https://research.torproject.org/techreports/bridges-2009-06-22.pdf}
}

@techreport{tor-2009-06-001,
  author = {Karsten Loesing},
  title = {Measuring the {Tor} Network, Evaluation of Relays from Public Directory Data},
  institution = {The Tor Project},
  number = {2009-06-001},
  year = {2009},
  month = {June},
  url = {https://research.torproject.org/techreports/dirarch-2009-06-22.pdf}
}

@techreport{tor-2009-04-001,
  author = {Sebastian Hahn and Karsten Loesing and Steven J. Murdoch},
  title = {Measuring the {Tor} Network, Simulation of the number of Fast, Stable, and Guard flags for changed requirements},
  institution = {The Tor Project},
  number = {2009-04-001},
  year = {2009},
  month = {April},
  url = {https://research.torproject.org/techreports/flagrequirements-2009-04-11.pdf}
}

@techreport{tor-2009-02-001,
  author = {Roger Dingledine},
  title = {Overhead from directory info: past, present, future},
  institution = {The Tor Project},
  number = {2009-02-001},
  year = {2009},
  month = {February},
  url = {https://research.torproject.org/techreports/overhead-directory-info-2009-02-16.pdf}
}

@techreport{tor-2008-07-001,
  author = {Karsten Loesing and Guido Wirtz},
  title = {Virtual Private Services},
  institution = {The Tor Project},
  number = {2008-07-001},
  year = {2008},
  month = {July},
  url = {https://research.torproject.org/techreports/virtual-private-services-2008-07-25.pdf}
}

@techreport{tor-2006-11-001,
  author = {Roger Dingledine and Nick Mathewson},
  title = {Design of a blocking-resistant anonymity system},
  institution = {The Tor Project},
  number = {2006-11-001},
  year = {2006},
  month = {November},
  url = {https://research.torproject.org/techreports/blocking-2006-11.pdf}
}

@techreport{tor-2005-02-001,
  author = {Roger Dingledine and Nick Mathewson and Paul Syverson},
  title = {Challenges in deploying low-latency anonymity},
  institution = {The Tor Project},
  number = {2005-02-001},
  year = {2005},
  month = {February},
  url = {https://research.torproject.org/techreports/challenges-2005-02.pdf}
}

